package com.nantian.cloud.dbcapp.mapper.jly;

import com.nantian.cloud.dbcapp.vo.EnterpriseHaltVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface EnterpriseHaltMapper{

    //获取某个时间停产的企业
    List<EnterpriseHaltVo> getHaltCompany(@Param("statDate") String statDate, @Param("epcStr") String epcStr);

    List<String> getHaltCompanyCode(@Param("statDate") String statDate, @Param("epcStr") String epcStr);

    EnterpriseHaltVo getHaltCompanyByCode(@Param("enterpriseCode") String enterpriseCode);
}
